// WinMainWindow.Designer.cs
// 
// Copyright (C) 2008,2009,2010 Bartek Jasicki
//
// This file is part of Grubng.
//
//  Grubng is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//   Grubng is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with Grubng.  If not, see <http://www.gnu.org/licenses/>.
//

using System.Drawing;
using System.Windows.Forms;
using Mono.Unix;

namespace Grubng
{
    
    #region Windows Form Designer generated code
    internal sealed partial class WinMainWindow
    {
		private Button btnrun;
        private Button btnquit;
        private CheckBox cbtnauto;
        private Button btndetails;
        private Button btnstats;
		Button btnoptions;
        private TabControl tabcontrol;
        private MenuStrip menu;
		private NotifyIcon trayicon;
		private PictureBox pcstatus;
		private Label lbluptime;
		private Label lblcrawlers;
		private Label lbldiskusage;
		private Label lblworkunits;
		Label lblinvalidarc;
		private Label lblcrawled;
		private Label lblvalid;
		private Label lblinvalid;
		private Label lblerrors;
		private Label lblreceived;
		private Label lblsend;
		private Label lblworkunits2;
		Label lblinvalidarc2;
		private Label lblcrawled2;
		private Label lblvalid2;
		private Label lblinvalid2;
		private Label lblerrors2;
		private Label lblreceived2;
		private Label lblsend2;
		private DataGridView tabledet;
		private System.Data.DataTable datatab;
		private System.ComponentModel.IContainer container;
		private ContextMenu iconmenu;
		TrackBar tbmaxcrawlers;
		NumericUpDown nudmaxcrawlers;
		TrackBar tbmaxdownload;
		NumericUpDown nudmaxdownload;
		TrackBar tbmaxupload;
		NumericUpDown nudmaxupload;
		Button btnmoreoptions;
		
        private void InitializeComponent()
        {
			
            this.btnrun = new Button();
            this.btnquit = new Button();
            this.cbtnauto = new CheckBox();
            this.btndetails = new Button();
            this.btnstats = new Button();
			this.btnoptions = new Button();
            this.tabcontrol = new TabControl();
            this.menu = new MenuStrip();
			this.pcstatus = new PictureBox();
			this.lbluptime = new Label();
			this.lblcrawlers = new Label();
			this.lbldiskusage = new Label();
			this.lblworkunits = new Label();
			this.lblinvalidarc = new Label();
			this.lblcrawled = new Label();
			this.lblvalid = new Label();
			this.lblinvalid = new Label();
			this.lblerrors = new Label();
			this.lblreceived = new Label();
			this.lblsend = new Label();
			this.lblworkunits2 = new Label();
			this.lblinvalidarc2 = new Label();
			this.lblcrawled2 = new Label();
			this.lblvalid2 = new Label();
			this.lblinvalid2 = new Label();
			this.lblerrors2 = new Label();
			this.lblreceived2 = new Label();
			this.lblsend2 = new Label();
			this.tabledet = new DataGridView();
			this.datatab = new System.Data.DataTable();
			this.iconmenu = new ContextMenu();
			this.tbmaxcrawlers = new TrackBar();
			this.nudmaxcrawlers = new NumericUpDown();
			this.tbmaxdownload = new TrackBar();
			this.nudmaxdownload = new NumericUpDown();
			this.tbmaxupload = new TrackBar();
			this.nudmaxupload = new NumericUpDown();
			this.btnmoreoptions = new Button();
			//Add tray icon
			this.container = new System.ComponentModel.Container();
			this.trayicon = new NotifyIcon(this.container);
			this.trayicon.Icon = new Icon(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "grubby.ico"));
			this.trayicon.MouseClick += new MouseEventHandler(OnTrayClick);
			this.trayicon.Visible = true;
			//Add context menu to tray icon
			MenuItem run = new MenuItem(Catalog.GetString("Run/Pause"));
			run.Index = 0;
			run.Click += new System.EventHandler(OnRunClick);
			this.iconmenu.MenuItems.Add(run);
			MenuItem show = new MenuItem(Catalog.GetString("Show window"));
			show.Index = 1;
			show.Click += new System.EventHandler(OnShowClick);
			this.iconmenu.MenuItems.Add(show);
			MenuItem sitemap = new MenuItem(Catalog.GetString("Create sitemap"));
			sitemap.Index = 3;
			sitemap.Click += new System.EventHandler(OnCreateSitemap);
			this.iconmenu.MenuItems.Add(sitemap);
			MenuItem about = new MenuItem(Catalog.GetString("About"));
			about.Index = 4;
			about.Click += new System.EventHandler(OnAbout);
			this.iconmenu.MenuItems.Add(about);
			MenuItem exit = new MenuItem(Catalog.GetString("Quit"));
			exit.Index = 5;
			exit.Click += new System.EventHandler(OnQuit);
			this.iconmenu.MenuItems.Add(exit);
			this.trayicon.ContextMenu = this.iconmenu;
            // 
            // btnrun
            // 
            this.btnrun.Name = "btnrun";
            this.btnrun.Location = new Point(104, 48);
            this.btnrun.TabIndex = 0;
            this.btnrun.ImeMode = ImeMode.Disable;
            this.btnrun.UseVisualStyleBackColor = true;
            this.btnrun.AutoSize = true;
			this.btnrun.Text = Catalog.GetString("Start");
			this.btnrun.TextImageRelation = TextImageRelation.ImageBeforeText;
			this.btnrun.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, 
			                                                      "Images" + System.IO.Path.DirectorySeparatorChar + "run.png"));
			this.btnrun.ImageAlign = ContentAlignment.MiddleLeft;
			this.btnrun.Click += new System.EventHandler(OnRunClick);
            // 
            // btnquit
            // 
            this.btnquit.Name = "btnquit";
            this.btnquit.Location = new Point(6, 48);
            this.btnquit.TabIndex = 1;
            this.btnquit.ImeMode = ImeMode.Disable;
            this.btnquit.UseVisualStyleBackColor = true;
            this.btnquit.AutoSize = true;
			this.btnquit.Text = Catalog.GetString("Quit");
			this.btnquit.TextImageRelation = TextImageRelation.ImageBeforeText;
			this.btnquit.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, 
			                                                       "Images" + System.IO.Path.DirectorySeparatorChar + "quit.png"));
			this.btnquit.ImageAlign = ContentAlignment.MiddleLeft;
			this.btnquit.Click += new System.EventHandler(this.OnQuit);
            // 
            // cbtnauto
            // 
            this.cbtnauto.Name = "cbtnauto";
            this.cbtnauto.Location = new Point(208, 48);
            this.cbtnauto.TabIndex = 2;
            this.cbtnauto.ImeMode = ImeMode.Disable;
            this.cbtnauto.UseVisualStyleBackColor = true;
            this.cbtnauto.AutoSize = true;
			this.cbtnauto.Text = Catalog.GetString("Automatic");
			this.cbtnauto.CheckedChanged += new System.EventHandler(OnAutoClick);
            // 
            // btndetails
            // 
            this.btndetails.Name = "btndetails";
            this.btndetails.Location = new Point(6, 136);
            this.btndetails.TabIndex = 3;
            this.btndetails.ImeMode = ImeMode.Disable;
            this.btndetails.UseVisualStyleBackColor = true;
            this.btndetails.AutoSize = true;
			this.btndetails.Text = Catalog.GetString("Details");
			this.btndetails.TextImageRelation = TextImageRelation.ImageBeforeText;
			this.btndetails.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, 
			                                                          "Images" + System.IO.Path.DirectorySeparatorChar + "icon_crawler.png"));
			this.btndetails.ImageAlign = ContentAlignment.MiddleLeft;
			this.btndetails.Click += new System.EventHandler(this.ShowDetails);
            // 
            // btnstats
            // 
            this.btnstats.Name = "btnstats";
            this.btnstats.Location = new Point(6, 240);
            this.btnstats.TabIndex = 4;
            this.btnstats.ImeMode = ImeMode.Disable;
            this.btnstats.UseVisualStyleBackColor = true;
            this.btnstats.AutoSize = true;
			this.btnstats.Text = Catalog.GetString("Stats");
			this.btnstats.TextImageRelation = TextImageRelation.ImageBeforeText;
			this.btnstats.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, 
			                                                        "Images" + System.IO.Path.DirectorySeparatorChar + "icon_control.png"));
			this.btnstats.ImageAlign = ContentAlignment.MiddleLeft;
			this.btnstats.Click += new System.EventHandler(this.ShowStats);
			//Add btnoptions
			this.btnoptions.Name = "btnoptions";
			this.btnoptions.Location = new Point(6, 344);
			this.btnoptions.TabIndex = 5;
			this.btnoptions.ImeMode = ImeMode.Disable;
			this.btnoptions.UseVisualStyleBackColor = true;
			this.btnoptions.AutoSize = true;
			this.btnoptions.Text = Catalog.GetString("Options");
			this.btnoptions.TextImageRelation = TextImageRelation.ImageBeforeText;
			this.btnoptions.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, 
			                                                        "Images" + System.IO.Path.DirectorySeparatorChar + "grub-preferences.png"));
			this.btnoptions.ImageAlign = ContentAlignment.MiddleLeft;
			this.btnoptions.Click += new System.EventHandler(this.ShowPreferences);
            // 
            // tabcontrol
            // 
            this.tabcontrol.Name = "tabcontrol";
            this.tabcontrol.Location = new Point(112, 88);
            this.tabcontrol.TabIndex = 6;
            this.tabcontrol.BackgroundImageLayout = ImageLayout.Tile;
            this.tabcontrol.Size = new Size(528, 392);
            this.tabcontrol.ItemSize = new Size(0, 0);
            this.tabcontrol.BackgroundImage = null;
			//Add details page to tabcontrol
			TabPage detpage = new TabPage();
			this.tabledet.Size = this.tabcontrol.Size;
			this.tabledet.ReadOnly = true;
			this.tabledet.RowHeadersVisible = false;
			this.tabledet.SelectionMode = DataGridViewSelectionMode.FullRowSelect;
			this.tabledet.MultiSelect = false;
			this.tabledet.MouseDoubleClick += new MouseEventHandler(OnDoubleClick);
			this.tabledet.MouseDown += new MouseEventHandler(OnMouseDown);
			MenuItem runpause = new MenuItem(Catalog.GetString("Run/Pause"), OnRunPauseClick);
			MenuItem details = new MenuItem(Catalog.GetString("Details"), OnDetailsClick);
			ContextMenu conmenu = new ContextMenu();
			conmenu.MenuItems.Add(runpause);
			conmenu.MenuItems.Add(details);
			this.tabledet.ContextMenu = conmenu;
			this.tabledet.Columns.Add("Number", "#");
			this.tabledet.Columns[0].SortMode = DataGridViewColumnSortMode.Automatic;
			this.tabledet.Columns[0].HeaderCell.SortGlyphDirection = SortOrder.Ascending;
			this.tabledet.Columns.Add("Status", Catalog.GetString("Status"));
			this.tabledet.Columns[1].SortMode = DataGridViewColumnSortMode.Automatic;
			this.tabledet.Columns[1].HeaderCell.SortGlyphDirection = SortOrder.None;
			this.tabledet.Columns.Add("Progress", Catalog.GetString("Progress"));
			this.tabledet.Columns[2].SortMode = DataGridViewColumnSortMode.Automatic;
			this.tabledet.Columns[2].HeaderCell.SortGlyphDirection = SortOrder.None;
			this.tabledet.Columns.Add("Name", Catalog.GetString("Name"));
			this.tabledet.Columns[3].SortMode = DataGridViewColumnSortMode.Automatic;
			this.tabledet.Columns[3].HeaderCell.SortGlyphDirection = SortOrder.None;
			this.tabledet.Columns.Add("Downloaded", Catalog.GetString("Downloaded"));
			this.tabledet.Columns[4].SortMode = DataGridViewColumnSortMode.Automatic;
			this.tabledet.Columns[4].HeaderCell.SortGlyphDirection = SortOrder.None;
			this.tabledet.Columns.Add("MBUsed", Catalog.GetString("MB Used"));
			this.tabledet.Columns[5].SortMode = DataGridViewColumnSortMode.Automatic;
			this.tabledet.Columns[5].HeaderCell.SortGlyphDirection = SortOrder.None;
			detpage.Controls.Add(this.tabledet);
			this.tabcontrol.TabPages.Add(detpage);
			//Add stats page to tabcontrol
			TabPage statpage = new TabPage();
			TableLayoutPanel tblpanel = new TableLayoutPanel();
			tblpanel.ColumnCount = 2;
			tblpanel.RowCount = 1;
			tblpanel.Size = new Size(200, 40);
			tblpanel.Location = new Point(5, 5);
			Label lbladd = new Label();
			lbladd.AutoSize = true;
			lbladd.Text = Catalog.GetString("Status:");
			tblpanel.Controls.Add(lbladd);
			this.pcstatus.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "icon-grub-err.jpg"));
			this.pcstatus.Size = new Size(32, 32);
			tblpanel.Controls.Add(this.pcstatus);
			statpage.Controls.Add(tblpanel);
			TableLayoutPanel tblpanel2 = new TableLayoutPanel();
			tblpanel2.Size = new Size(200, 60);
			tblpanel2.ColumnCount = 3;
			tblpanel2.RowCount = 3;
			tblpanel2.Location = new Point(5, 45);
			tblpanel2.AutoSize = true;
			PictureBox pctime = new PictureBox();
			pctime.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "time.png"));
			pctime.Size = new Size(16, 16);
			tblpanel2.Controls.Add(pctime);
			Label lbltime = new Label();
			lbltime.AutoSize = true;
			lbltime.Text = Catalog.GetString("Uptime:");
			tblpanel2.Controls.Add(lbltime);
			lbluptime.AutoSize = true;
			this.lbluptime.Text = "00:00:00";
			tblpanel2.Controls.Add(this.lbluptime);
			PictureBox pccrawlers = new PictureBox();
			pccrawlers.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "curtime.png"));
			pccrawlers.Size = new Size(16, 16);
			tblpanel2.Controls.Add(pccrawlers);
			Label lblworking = new Label();
			lblworking.AutoSize = true;
			lblworking.Text = Catalog.GetString("Working crawlers:");
			tblpanel2.Controls.Add(lblworking);
			this.lblcrawlers.AutoSize = true;
			this.lblcrawlers.Text = "0/0";
			tblpanel2.Controls.Add(this.lblcrawlers);
			PictureBox pcdisk = new PictureBox();
			pcdisk.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "diskusage.png"));
			pcdisk.Size = new Size(16, 16);
			tblpanel2.Controls.Add(pcdisk);
			Label lbldiskmb = new Label();
			lbldiskmb.AutoSize = true;
			lbldiskmb.Text = Catalog.GetString("Disk Usage (MB):");
			tblpanel2.Controls.Add(lbldiskmb);
			this.lbldiskusage.AutoSize = true;
			this.lbldiskusage.Text = "0";
			tblpanel2.Controls.Add(this.lbldiskusage);
			statpage.Controls.Add(tblpanel2);
			Label lblstats = new Label();
			lblstats.AutoSize = true;
			lblstats.Text = Catalog.GetString("Statistics:");
			lblstats.Location = new Point(155, 125);
			statpage.Controls.Add(lblstats);
			TableLayoutPanel tblpanel3 = new TableLayoutPanel();
			tblpanel3.ColumnCount = 2;
			tblpanel3.RowCount = 1;
			tblpanel3.Size = new Size(300, 20);
			tblpanel3.Location = new Point(100, 155);
			Label lblcurrent = new Label();
			lblcurrent.AutoSize = true;
			lblcurrent.Text = Catalog.GetString("Current:");
			tblpanel3.Controls.Add(lblcurrent);
			Label lbloverall = new Label();
			lbloverall.Size = new Size(200, 20);
			lbloverall.TextAlign = ContentAlignment.MiddleRight;
			lbloverall.Text = Catalog.GetString("Overall:");
			tblpanel3.Controls.Add(lbloverall);
			statpage.Controls.Add(tblpanel3);
			TableLayoutPanel tblpanel4 = new TableLayoutPanel();
			tblpanel4.ColumnCount = 3;
			tblpanel4.RowCount = 8;
			tblpanel4.Size = new Size(250, 200);
			tblpanel4.Location = new Point(5, 200);
			PictureBox pcworkunit = new PictureBox();
			pcworkunit.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "worksend.png"));
			pcworkunit.Size = new Size(16, 16);
			tblpanel4.Controls.Add(pcworkunit);
			Label lblwork = new Label();
			lblwork.AutoSize = true;
			lblwork.Text = Catalog.GetString("Workunits send:");
			tblpanel4.Controls.Add(lblwork);
			this.lblworkunits.AutoSize = true;
			this.lblworkunits.Text = "0";
			tblpanel4.Controls.Add(this.lblworkunits);
			PictureBox pcinvalidarc = new PictureBox();
			pcinvalidarc.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "invalidarc.png"));
			pcinvalidarc.Size = new Size(16, 16);
			tblpanel4.Controls.Add(pcinvalidarc);
			Label lblarc = new Label();
			lblarc.AutoSize = true;
			lblarc.Text = Catalog.GetString("Invalid workunits:");
			tblpanel4.Controls.Add(lblarc);
			this.lblinvalidarc.AutoSize = true;
			this.lblinvalidarc.Text = "0";
			tblpanel4.Controls.Add(this.lblinvalidarc);
			PictureBox pccrawled = new PictureBox();
			pccrawled.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "links.png"));
			pccrawled.Size = new  Size(16, 16);
			tblpanel4.Controls.Add(pccrawled);
			Label lblcrawledlinks = new Label();
			lblcrawledlinks.AutoSize = true;
			lblcrawledlinks.Text = Catalog.GetString("Links crawled:");
			tblpanel4.Controls.Add(lblcrawledlinks);
			this.lblcrawled.AutoSize = true;
			this.lblcrawled.Text = "0";
			tblpanel4.Controls.Add(this.lblcrawled);
			PictureBox pcvalid = new PictureBox();
			pcvalid.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "yes.png"));
			pcvalid.Size = new Size(16, 16);
			tblpanel4.Controls.Add(pcvalid);
			Label lblvalidlinks = new Label();
			lblvalidlinks.AutoSize = true;
			lblvalidlinks.Text = Catalog.GetString("Success:");
			tblpanel4.Controls.Add(lblvalidlinks);
			this.lblvalid.AutoSize = true;
			this.lblvalid.Text = "0";
			tblpanel4.Controls.Add(this.lblvalid);
			PictureBox pcinvalid = new PictureBox();
			pcinvalid.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "no.png"));
			pcinvalid.Size = new Size(16, 16);
			tblpanel4.Controls.Add(pcinvalid);
			Label lblinvalidlinks = new Label();
			lblinvalidlinks.AutoSize = true;
			lblinvalidlinks.Text = Catalog.GetString("Failures:");
			tblpanel4.Controls.Add(lblinvalidlinks);
			this.lblinvalid.AutoSize = true;
			this.lblinvalid.Text = "0";
			tblpanel4.Controls.Add(this.lblinvalid);
			PictureBox pcerrors = new PictureBox();
			pcerrors.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "errors.png"));
			pcerrors.Size = new Size(16, 16);
			tblpanel4.Controls.Add(pcerrors);
			Label lblerrorlinks = new Label();
			lblerrorlinks.AutoSize = true;
			lblerrorlinks.Text = Catalog.GetString("Errors:");
			tblpanel4.Controls.Add(lblerrorlinks);
			this.lblerrors.AutoSize = true;
			this.lblerrors.Text = "0";
			tblpanel4.Controls.Add(this.lblerrors);
			PictureBox pcreceived = new PictureBox();
			pcreceived.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "received.png"));
			pcreceived.Size = new Size(16, 16);
			tblpanel4.Controls.Add(pcreceived);
			Label lblreceivedmb = new Label();
			lblreceivedmb.AutoSize = true;
			lblreceivedmb.Text = Catalog.GetString("MB Received:");
			tblpanel4.Controls.Add(lblreceivedmb);
			this.lblreceived.AutoSize = true;
			this.lblreceived.Text = "0";
			tblpanel4.Controls.Add(this.lblreceived);
			PictureBox pcsend = new PictureBox();
			pcsend.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "send.png"));
			pcsend.Size = new Size(16, 16);
			tblpanel4.Controls.Add(pcsend);
			Label lblsendmb = new Label();
			lblsendmb.AutoSize = true;
			lblsendmb.Text = Catalog.GetString("MB Send:");
			tblpanel4.Controls.Add(lblsendmb);
			this.lblsend.AutoSize = true;
			this.lblsend.Text = "0";
			tblpanel4.Controls.Add(this.lblsend);
			statpage.Controls.Add(tblpanel4);
			TableLayoutPanel tblpanel5 = new TableLayoutPanel();
			tblpanel5.ColumnCount = 3;
			tblpanel5.RowCount = 8;
			tblpanel5.Size = new Size(250, 200);
			tblpanel5.Location = new Point(300, 200);
			PictureBox pcworkunit2 = new PictureBox();
			pcworkunit2.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "worksend.png"));
			pcworkunit2.Size = new Size(16, 16);
			tblpanel5.Controls.Add(pcworkunit2);
			Label lblwork2 = new Label();
			lblwork2.AutoSize = true;
			lblwork2.Text = Catalog.GetString("Workunits send:");
			tblpanel5.Controls.Add(lblwork2);
			this.lblworkunits2.AutoSize = true;
			this.lblworkunits2.Text = "0";
			tblpanel5.Controls.Add(this.lblworkunits2);
			PictureBox pcinvalidarc2 = new PictureBox();
			pcinvalidarc2.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "invalidarc.png"));
			pcinvalidarc2.Size = new Size(16, 16);
			tblpanel5.Controls.Add(pcinvalidarc2);
			Label lblarc2 = new Label();
			lblarc2.AutoSize = true;
			lblarc2.Text = Catalog.GetString("Invalid workunits:");
			tblpanel5.Controls.Add(lblarc2);
			this.lblinvalidarc2.AutoSize = true;
			this.lblinvalidarc2.Text = "0";
			tblpanel5.Controls.Add(this.lblinvalidarc2);
			PictureBox pccrawled2 = new PictureBox();
			pccrawled2.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "links.png"));
			pccrawled2.Size = new Size(16, 16);
			tblpanel5.Controls.Add(pccrawled2);
			Label lblcrawledlinks2 = new Label();
			lblcrawledlinks2.AutoSize = true;
			lblcrawledlinks2.Text = Catalog.GetString("Links crawled:");
			tblpanel5.Controls.Add(lblcrawledlinks2);
			this.lblcrawled2.AutoSize = true;
			this.lblcrawled2.Text = "0";
			tblpanel5.Controls.Add(this.lblcrawled2);
			PictureBox pcvalid2 = new PictureBox();
			pcvalid2.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "yes.png"));
			pcvalid2.Size = new Size(16, 16);
			tblpanel5.Controls.Add(pcvalid2);
			Label lblvalidlinks2 = new Label();
			lblvalidlinks2.AutoSize = true;
			lblvalidlinks2.Text = Catalog.GetString("Success:");
			tblpanel5.Controls.Add(lblvalidlinks2);
			this.lblvalid2.AutoSize = true;
			this.lblvalid2.Text = "0";
			tblpanel5.Controls.Add(this.lblvalid2);
			PictureBox pcinvalid2 = new PictureBox();
			pcinvalid2.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "no.png"));
			pcinvalid2.Size = new Size(16, 16);
			tblpanel5.Controls.Add(pcinvalid2);
			Label lblinvalidlinks2 = new Label();
			lblinvalidlinks2.AutoSize = true;
			lblinvalidlinks2.Text = Catalog.GetString("Failures:");
			tblpanel5.Controls.Add(lblinvalidlinks2);
			this.lblinvalid2.AutoSize = true;
			this.lblinvalid2.Text = "0";
			tblpanel5.Controls.Add(this.lblinvalid2);
			PictureBox pcerrors2 = new PictureBox();
			pcerrors2.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "errors.png"));
			pcerrors2.Size = new Size(16, 16);
			tblpanel5.Controls.Add(pcerrors2);
			Label lblerrorlinks2 = new Label();
			lblerrorlinks2.AutoSize = true;
			lblerrorlinks2.Text = Catalog.GetString("Errors:");
			tblpanel5.Controls.Add(lblerrorlinks2);
			this.lblerrors2.AutoSize = true;
			this.lblerrors2.Text = "0";
			tblpanel5.Controls.Add(this.lblerrors2);
			PictureBox pcreceived2 = new PictureBox();
			pcreceived2.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "received.png"));
			pcreceived2.Size = new Size(16, 16);
			tblpanel5.Controls.Add(pcreceived2);
			Label lblreceivedmb2 = new Label();
			lblreceivedmb2.AutoSize = true;
			lblreceivedmb2.Text = Catalog.GetString("MB Received:");
			tblpanel5.Controls.Add(lblreceivedmb2);
			this.lblreceived2.AutoSize = true;
			this.lblreceived2.Text = "0";
			tblpanel5.Controls.Add(this.lblreceived2);
			PictureBox pcsend2 = new PictureBox();
			pcsend2.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "send.png"));
			pcsend2.Size = new Size(16, 16);
			tblpanel5.Controls.Add(pcsend2);
			Label lblsendmb2 = new Label();
			lblsendmb2.AutoSize = true;
			lblsendmb2.Text = Catalog.GetString("MB Send:");
			tblpanel5.Controls.Add(lblsendmb2);
			this.lblsend2.AutoSize = true;
			this.lblsend2.Text = "0";
			tblpanel5.Controls.Add(this.lblsend2);
			statpage.Controls.Add(tblpanel5);
			this.tabcontrol.TabPages.Add(statpage);
			//Add preferences page to tabcontrol
			TabPage prefpage = new TabPage();
			TableLayoutPanel tblpanel6 = new TableLayoutPanel();
			tblpanel6.ColumnCount = 3;
			tblpanel6.RowCount = 3;
			tblpanel6.AutoSize = true;
			tblpanel6.Location = new Point(5, 100);
			Label lblmaxcrawlers = new Label();
			lblmaxcrawlers.AutoSize = true;
			lblmaxcrawlers.Text = Catalog.GetString("Working crawlers:");
			tblpanel6.Controls.Add(lblmaxcrawlers, 0, 0);
			this.tbmaxcrawlers.Size = new Size(240, 20);
			this.tbmaxcrawlers.Minimum = 1;
			this.tbmaxcrawlers.Maximum = 50;
			this.tbmaxcrawlers.Value = 1;
			this.tbmaxcrawlers.Scroll += OnMaxCrawlersScroll;
			tblpanel6.Controls.Add(this.tbmaxcrawlers, 1, 0);
			this.nudmaxcrawlers.Size = new Size(50, 20);
			this.nudmaxcrawlers.Minimum = 1;
			this.nudmaxcrawlers.Maximum = 50;
			this.nudmaxcrawlers.Value = 1;
			this.nudmaxcrawlers.ValueChanged += OnCrawlersChanged;
			tblpanel6.Controls.Add(this.nudmaxcrawlers, 2, 0);
			Label lblmaxdownload = new Label();
			lblmaxdownload.AutoSize = true;
			lblmaxdownload.Text = Catalog.GetString("Max download speed (in KB/s):");
			tblpanel6.Controls.Add(lblmaxdownload, 0, 1);
			this.tbmaxdownload.Size = new Size(240, 20);
			this.tbmaxdownload.Minimum = 4;
			this.tbmaxdownload.Maximum = 512;
			this.tbmaxdownload.Value = 4;
			this.tbmaxdownload.Scroll += OnMaxDownloadScroll;
			tblpanel6.Controls.Add(this.tbmaxdownload, 1, 1);
			this.nudmaxdownload.Size = new Size(50, 20);
			this.nudmaxdownload.Minimum = 4;
			this.nudmaxdownload.Maximum = 512;
			this.nudmaxdownload.Value = 4;
			this.nudmaxdownload.ValueChanged += OnDownloadChanged;
			tblpanel6.Controls.Add(this.nudmaxdownload, 2, 1);
			Label lblmaxupload = new Label();
			lblmaxupload.AutoSize = true;
			lblmaxupload.Text = Catalog.GetString("Max upload speed (in KB/s):");
			tblpanel6.Controls.Add(lblmaxupload, 0, 2);
			this.tbmaxupload.Size = new Size(240, 20);
			this.tbmaxupload.Minimum = 4;
			this.tbmaxupload.Maximum = 512;
			this.tbmaxupload.Value = 4;
			this.tbmaxupload.Scroll += OnMaxUploadScroll;
			tblpanel6.Controls.Add(this.tbmaxupload, 1, 2);
			this.nudmaxupload.Size = new Size(50, 20);
			this.nudmaxupload.Minimum = 4;
			this.nudmaxupload.Maximum = 512;
			this.nudmaxupload.Value = 4;
			this.nudmaxupload.ValueChanged += OnUploadChanged;
			tblpanel6.Controls.Add(this.nudmaxupload, 2, 2);
			prefpage.Controls.Add(tblpanel6);
			this.btnmoreoptions.Text = Catalog.GetString("More options...");
			this.btnmoreoptions.Size = new Size((this.tabcontrol.Size.Width - 10), 30);
			this.btnmoreoptions.Location = new Point(0, 320);
			this.btnmoreoptions.Click += OnPref;
			prefpage.Controls.Add(this.btnmoreoptions);
			this.tabcontrol.TabPages.Add(prefpage);
			this.tabcontrol.SelectedIndex = 1;
            // 
            // menu
            // 
            this.menu.Name = "menu";
            this.menu.TabIndex = 7;
            this.menu.DefaultDropDownDirection = ToolStripDropDownDirection.BelowRight;
            this.menu.RenderMode = ToolStripRenderMode.ManagerRenderMode;
            this.menu.LayoutStyle = ToolStripLayoutStyle.HorizontalStackWithOverflow;
            this.menu.Location = new Point(8, 8);
            this.menu.Anchor = (AnchorStyles.Top | AnchorStyles.Left);
            this.menu.ImageScalingSize = new Size(16, 16);
			//Add menu
			ToolStripItem seconditem = new ToolStripMenuItem(Catalog.GetString("Quit"), null, OnQuit);			
			ToolStripItem mainitem = new ToolStripMenuItem(Catalog.GetString("File"), null, seconditem);
			int item = this.menu.Items.Add(mainitem);
			seconditem = new ToolStripMenuItem(Catalog.GetString("Create sitemap"), null, OnCreateSitemap);
			mainitem = new ToolStripMenuItem(Catalog.GetString("Other"), null, seconditem);
			item = this.menu.Items.Add(mainitem);
			ToolStripItem thirditem = new ToolStripMenuItem(Catalog.GetString("About"), null, OnAbout);
			seconditem = new ToolStripMenuItem(Catalog.GetString("Help"), null, OnHelp);
			mainitem = new ToolStripMenuItem(Catalog.GetString("Help"), null, seconditem, thirditem);
			item = this.menu.Items.Add(mainitem);
			item++;
            // 
            // WinMainWindow
            // 
            this.Name = "WinMainWindow";
            this.ClientSize = new Size(640, 480);
            this.StartPosition = FormStartPosition.CenterScreen;
			this.Text = Catalog.GetString("Grubng");
			this.Icon = new Icon(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + System.IO.Path.DirectorySeparatorChar + "grubby.ico"));
            this.Controls.Add(this.btnrun);
            this.Controls.Add(this.btnquit);
            this.Controls.Add(this.cbtnauto);
            this.Controls.Add(this.btndetails);
            this.Controls.Add(this.btnstats);
			this.Controls.Add(this.btnoptions);
            this.Controls.Add(this.tabcontrol);
            this.Controls.Add(this.menu);
			this.Resize += new System.EventHandler(OnResize);
        }
    }
    #endregion
}
