// WinPrefDialog.Designer.cs
// 
// Copyright (C) 2008,2009,2010,2011 Bartek Jasicki
//
// This file is part of Grubng.
//
//  Grubng is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//   Grubng is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with Grubng.  If not, see <http://www.gnu.org/licenses/>.
//

using System.Resources;
using System.Drawing;
using System.Windows.Forms;
using Mono.Unix;

namespace Grubng
{
    
    #region Windows Form Designer generated code
    internal sealed partial class WinPrefDialog
    {
		private TabControl tabcontrol;
        private Button btnok;
        private Button btnapply;
        private Button btncancel;
		private TextBox edtuser;
		private TextBox edtpass;
		private TextBox edtdir;
		private Button btndir;
		private TextBox edtworkserv;
		private RadioButton rbtnnone;
		private RadioButton rbtndefault;
		private RadioButton rbtncustom;
		private TableLayoutPanel tblpanel4;
		private TextBox edtproxyserv;
		TextBox edtproxyport;
		TextBox edtproxylogin;
		TextBox edtproxypass;
		CheckBox cbtnauto;
		CheckBox cbtnrunhidden;
		TextBox edtupdateserv;
		CheckBox cbtnupdate;
		GroupBox grpbox2;
		RadioButton rbtnstable;
		RadioButton rbtnunstable;
		TextBox edtmapserv;
		CheckBox cbtndeletemap;
		RadioButton rbtngzip;
		RadioButton rbtnlzma;
		CheckBox cbtncreatesitemaps;
		Button btncheck;
		CheckBox cbtnenableremote;
		TextBox edtremoteport;
		TableLayoutPanel tblpanel7;
		
        private void InitializeComponent()
        {
            this.tabcontrol = new TabControl();
            this.btnok = new Button();
            this.btnapply = new Button();
            this.btncancel = new Button();
			this.edtuser = new TextBox();
			this.edtpass = new TextBox();
			this.edtdir = new TextBox();
			this.btndir = new Button();
			this.edtworkserv = new TextBox();
			this.rbtnnone = new RadioButton();
			this.rbtndefault = new RadioButton();
			this.rbtncustom = new RadioButton();
			this.tblpanel4 = new TableLayoutPanel();
			this.edtproxyserv = new TextBox();
			this.edtproxyport = new TextBox();
			this.edtproxylogin = new TextBox();
			this.edtproxypass = new TextBox();
			this.cbtnauto = new CheckBox();
			this.cbtnrunhidden = new CheckBox();
			this.edtupdateserv = new TextBox();
			this.cbtnupdate = new CheckBox();
			this.grpbox2 = new GroupBox();
			this.rbtnstable = new RadioButton();
			this.rbtnunstable = new RadioButton();
			this.edtmapserv = new TextBox();
			this.cbtndeletemap = new CheckBox();
			this.rbtngzip = new RadioButton();
			this.rbtnlzma = new RadioButton();
			this.cbtncreatesitemaps = new CheckBox();
			this.btncheck = new Button();
			this.cbtnenableremote = new CheckBox();
			this.tblpanel7 = new TableLayoutPanel();
			this.edtremoteport = new TextBox();
            // 
            // tabcontrol
            // 
            this.tabcontrol.Name = "tabcontrol";
            this.tabcontrol.Location = new Point(0, 0);
            this.tabcontrol.TabIndex = 3;
            this.tabcontrol.BackgroundImageLayout = ImageLayout.Tile;
            this.tabcontrol.Size = new Size(568, 320);
            this.tabcontrol.ItemSize = new Size(42, 21);
            this.tabcontrol.BackgroundImage = null;
			//Add login page
			TabPage logonpage = new TabPage(Catalog.GetString("Login"));
			TableLayoutPanel tblpanel = new TableLayoutPanel();
			tblpanel.ColumnCount = 2;
			tblpanel.RowCount = 2;
			tblpanel.AutoSize = true;
			tblpanel.Location = new Point(50, 50);
			Label lbluser = new Label();
			lbluser.AutoSize = true;
			lbluser.Text = Catalog.GetString("Username:");
			tblpanel.Controls.Add(lbluser);
			this.edtuser.ForeColor = System.Drawing.SystemColors.WindowText;
            this.edtuser.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.edtuser.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Tile;
            this.edtuser.Size = new System.Drawing.Size(184, 20);
            this.edtuser.BackColor = System.Drawing.SystemColors.Window;
            this.edtuser.Multiline = false;
            this.edtuser.Text = System.String.Empty;
            this.edtuser.BackgroundImage = null;
			this.edtuser.KeyDown += new KeyEventHandler(this.OnChange);
			tblpanel.Controls.Add(this.edtuser);
			Label lblpass = new Label();
			lblpass.AutoSize = true;
			lblpass.Text = Catalog.GetString("Password:");
			tblpanel.Controls.Add(lblpass);
			this.edtpass.ForeColor = System.Drawing.SystemColors.WindowText;
            this.edtpass.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.edtpass.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Tile;
            this.edtpass.Size = new System.Drawing.Size(184, 20);
            this.edtpass.BackColor = System.Drawing.SystemColors.Window;
            this.edtpass.Multiline = false;
			this.edtpass.PasswordChar = '*';
            this.edtpass.BackgroundImage = null;
			this.edtpass.KeyDown += new KeyEventHandler(this.OnChange);
			tblpanel.Controls.Add(this.edtpass);
			logonpage.Controls.Add(tblpanel);
			this.tabcontrol.TabPages.Add(logonpage);
			//Add crawling page
			TabPage netpage = new TabPage(Catalog.GetString("Crawling"));
			TableLayoutPanel tblpanel3 = new TableLayoutPanel();
			tblpanel3.ColumnCount = 3;
			tblpanel3.RowCount = 4;
			tblpanel3.AutoSize = true;
			tblpanel3.Location = new Point(20, 20);
			Label lblworkserv = new Label();
			lblworkserv.AutoSize = true;
			lblworkserv.Text = Catalog.GetString("Workunit server:");
			tblpanel3.Controls.Add(lblworkserv, 0, 0);
			this.edtworkserv.ForeColor = System.Drawing.SystemColors.WindowText;
            this.edtworkserv.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.edtworkserv.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Tile;
            this.edtworkserv.Size = new System.Drawing.Size(240, 20);
            this.edtworkserv.BackColor = System.Drawing.SystemColors.Window;
            this.edtworkserv.Multiline = false;
            this.edtworkserv.BackgroundImage = null;
			this.edtworkserv.KeyDown += new KeyEventHandler(this.OnChange);
			tblpanel3.Controls.Add(this.edtworkserv, 1, 0);
			Label lbldir = new Label();
			lbldir.AutoSize = true;
			lbldir.Text = Catalog.GetString("Work directory:");
			tblpanel3.Controls.Add(lbldir, 0, 1);
			this.edtdir.ForeColor = System.Drawing.SystemColors.WindowText;
            this.edtdir.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.edtdir.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Tile;
            this.edtdir.Size = new System.Drawing.Size(184, 20);
            this.edtdir.BackColor = System.Drawing.SystemColors.Window;
            this.edtdir.Multiline = false;
            this.edtdir.BackgroundImage = null;
			this.edtdir.ReadOnly = true;
			tblpanel3.Controls.Add(this.edtdir, 1, 1);
			this.btndir.ImeMode = ImeMode.Disable;
            this.btndir.Text = Catalog.GetString("Browse...");
            this.btndir.UseVisualStyleBackColor = true;
            this.btndir.AutoSize = true;
			this.btndir.Click += new System.EventHandler(this.OnDirSelect);
			tblpanel3.Controls.Add(this.btndir, 2, 1);
			GroupBox grpcompress = new GroupBox();
			grpcompress.AutoSize = true;
			this.rbtngzip.AutoSize = true;
			this.rbtngzip.Location = new Point(10, 10);
			this.rbtngzip.Text = Catalog.GetString("GZip compression");
			this.rbtngzip.Checked = true;
			this.rbtngzip.Click += OnChange;
			grpcompress.Controls.Add(this.rbtngzip);
			this.rbtnlzma.AutoSize = true;
			this.rbtnlzma.Location = new Point(10, 35);
			this.rbtnlzma.Text = Catalog.GetString("LZMA compression");
			this.rbtnlzma.Click += OnChange;
			grpcompress.Controls.Add(this.rbtnlzma);
			tblpanel3.Controls.Add(grpcompress, 0, 2);
			this.cbtncreatesitemaps.AutoSize = true;
			this.cbtncreatesitemaps.ImeMode = ImeMode.Disable;
			this.cbtncreatesitemaps.UseVisualStyleBackColor = true;
			this.cbtncreatesitemaps.Text = Catalog.GetString("Create sitemaps during crawling");
			this.cbtncreatesitemaps.Click += new System.EventHandler(this.OnChange);
			tblpanel3.Controls.Add(this.cbtncreatesitemaps, 0, 3);
			netpage.Controls.Add(tblpanel3);
			this.tabcontrol.TabPages.Add(netpage);
			//Add proxy page
			TabPage proxypage = new TabPage(Catalog.GetString("Proxy"));
			GroupBox grpbox = new GroupBox();
			grpbox.Location = new Point(20, 20);
			grpbox.AutoSize = true;
			this.rbtnnone.Location = new Point(20, 20);
			this.rbtnnone.AutoSize = true;
			this.rbtnnone.Text = Catalog.GetString("Direct connect to internet");
			this.rbtnnone.Checked = true;
			this.rbtnnone.Click += new System.EventHandler(OnCustomProxy);
			grpbox.Controls.Add(this.rbtnnone);
			this.rbtndefault.Location = new Point(20, 40);
			this.rbtndefault.AutoSize = true;
			this.rbtndefault.Text = Catalog.GetString("Use system default proxy settings");
			this.rbtndefault.Click += new System.EventHandler(OnCustomProxy);
			grpbox.Controls.Add(this.rbtndefault);
			this.rbtncustom.Location = new Point(20, 60);
			this.rbtncustom.AutoSize = true;
			this.rbtncustom.Text = Catalog.GetString("Set custom proxy preferences");
			this.rbtncustom.Click += new System.EventHandler(OnCustomProxy);
			grpbox.Controls.Add(this.rbtncustom);
			proxypage.Controls.Add(grpbox);
			this.tblpanel4.ColumnCount = 2;
			this.tblpanel4.RowCount = 4;
			this.tblpanel4.AutoSize = true;
			this.tblpanel4.Location = new Point(20, 150);
			this.tblpanel4.Enabled = false;
			Label lblproxyserv = new Label();
			lblproxyserv.AutoSize = true;
			lblproxyserv.Text = Catalog.GetString("HTTP proxy server:");
			this.tblpanel4.Controls.Add(lblproxyserv);
			this.edtproxyserv.ForeColor = System.Drawing.SystemColors.WindowText;
            this.edtproxyserv.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.edtproxyserv.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Tile;
            this.edtproxyserv.Size = new System.Drawing.Size(290, 20);
            this.edtproxyserv.BackColor = System.Drawing.SystemColors.Window;
            this.edtproxyserv.Multiline = false;
            this.edtproxyserv.BackgroundImage = null;
			this.tblpanel4.Controls.Add(this.edtproxyserv);
			Label lblproxyport = new Label();
			lblproxyport.AutoSize = true;
			lblproxyport.Text = Catalog.GetString("Port:");
			this.tblpanel4.Controls.Add(lblproxyport);
			this.edtproxyport.ForeColor = System.Drawing.SystemColors.WindowText;
            this.edtproxyport.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.edtproxyport.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Tile;
            this.edtproxyport.Size = new System.Drawing.Size(90, 20);
            this.edtproxyport.BackColor = System.Drawing.SystemColors.Window;
            this.edtproxyport.Multiline = false;
            this.edtproxyport.BackgroundImage = null;
			this.tblpanel4.Controls.Add(this.edtproxyport);
			Label lblproxylogin = new Label();
			lblproxylogin.AutoSize = true;
			lblproxylogin.Text = Catalog.GetString("Login:");
			this.tblpanel4.Controls.Add(lblproxylogin);
			this.edtproxylogin.ForeColor = System.Drawing.SystemColors.WindowText;
            this.edtproxylogin.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.edtproxylogin.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Tile;
            this.edtproxylogin.Size = new System.Drawing.Size(90, 20);
            this.edtproxylogin.BackColor = System.Drawing.SystemColors.Window;
            this.edtproxylogin.Multiline = false;
            this.edtproxylogin.BackgroundImage = null;
			this.tblpanel4.Controls.Add(this.edtproxylogin);
			Label lblproxypass = new Label();
			lblproxypass.AutoSize = true;
			lblproxypass.Text = Catalog.GetString("Password:");
			this.tblpanel4.Controls.Add(lblproxypass);
			this.edtproxypass.ForeColor = System.Drawing.SystemColors.WindowText;
            this.edtproxypass.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.edtproxypass.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Tile;
            this.edtproxypass.Size = new System.Drawing.Size(90, 20);
            this.edtproxypass.BackColor = System.Drawing.SystemColors.Window;
            this.edtproxypass.Multiline = false;
			this.edtproxypass.PasswordChar = '*';
            this.edtproxypass.BackgroundImage = null;
			this.tblpanel4.Controls.Add(this.edtproxypass);
			proxypage.Controls.Add(this.tblpanel4);
			this.tabcontrol.TabPages.Add(proxypage);
			//Add misc page
			TabPage miscpage = new TabPage(Catalog.GetString("Misc"));
			this.cbtnauto.AutoSize = true;
			this.cbtnauto.ImeMode = ImeMode.Disable;
			this.cbtnauto.UseVisualStyleBackColor = true;
			this.cbtnauto.Location = new Point(100, 20);
			this.cbtnauto.Text = Catalog.GetString("Run program in automatic mode");
			this.cbtnauto.Click += new System.EventHandler(this.OnChange);
			miscpage.Controls.Add(this.cbtnauto);
			this.cbtnrunhidden.AutoSize = true;
			this.cbtnrunhidden.ImeMode = ImeMode.Disable;
			this.cbtnrunhidden.UseVisualStyleBackColor = true;
			this.cbtnrunhidden.Location = new Point(100, 40);
			this.cbtnrunhidden.Text = Catalog.GetString("Run program minimized");
			this.cbtnrunhidden.Click += new System.EventHandler(this.OnChange);
			miscpage.Controls.Add(this.cbtnrunhidden);
			this.cbtnenableremote.AutoSize = true;
			this.cbtnenableremote.ImeMode = ImeMode.Disable;
			this.cbtnenableremote.UseVisualStyleBackColor = true;
			this.cbtnenableremote.Location = new Point(100, 60);
			this.cbtnenableremote.Text = Catalog.GetString("Enable remote control");
			this.cbtnenableremote.Click += new System.EventHandler(this.OnRemoteControl);
			miscpage.Controls.Add(this.cbtnenableremote);
			this.tblpanel7.ColumnCount = 2;
			this.tblpanel7.RowCount = 1;
			this.tblpanel7.AutoSize = true;
			this.tblpanel7.Location = new Point(100, 80);
			this.tblpanel7.Enabled = false;
			Label lblremoteport = new Label();
			lblremoteport.AutoSize = true;
			lblremoteport.Text = Catalog.GetString("Remote control port:");
			this.tblpanel7.Controls.Add(lblremoteport);
			this.edtremoteport.ForeColor = System.Drawing.SystemColors.WindowText;
            this.edtremoteport.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.edtremoteport.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Tile;
            this.edtremoteport.Size = new System.Drawing.Size(90, 20);
            this.edtremoteport.BackColor = System.Drawing.SystemColors.Window;
            this.edtremoteport.Multiline = false;
            this.edtremoteport.BackgroundImage = null;
			this.tblpanel7.Controls.Add(this.edtremoteport);
			miscpage.Controls.Add(this.tblpanel7);
			Button btnclear = new Button();
			btnclear.Location = new Point(100, 175);
            btnclear.ImeMode = ImeMode.Disable;
            btnclear.Text = Catalog.GetString("Clear stats");
			btnclear.TextImageRelation = TextImageRelation.ImageBeforeText;
            btnclear.UseVisualStyleBackColor = true;
            btnclear.AutoSize = true;
			btnclear.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + 
			                                                   System.IO.Path.DirectorySeparatorChar + "clear.png"));
			btnclear.ImageAlign = ContentAlignment.MiddleLeft;
			btnclear.DialogResult = DialogResult.Ignore;
			btnclear.Click += new System.EventHandler(OnClearClick);
			miscpage.Controls.Add(btnclear);
			this.tabcontrol.TabPages.Add(miscpage);
			//Add updater page
			TabPage updaterpage = new TabPage(Catalog.GetString("Updater"));
			TableLayoutPanel tblpanel5 = new TableLayoutPanel();
			tblpanel5.ColumnCount = 2;
			tblpanel5.RowCount = 2;
			tblpanel5.Size = new Size(400, 25);
			tblpanel5.Location = new Point(20, 20);
			Label lblupdateserv = new Label();
			lblupdateserv.AutoSize = true;
			lblupdateserv.Text = Catalog.GetString("Server with updates:");
			tblpanel5.Controls.Add(lblupdateserv);
			this.edtupdateserv.ForeColor = System.Drawing.SystemColors.WindowText;
            this.edtupdateserv.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.edtupdateserv.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Tile;
            this.edtupdateserv.Size = new System.Drawing.Size(290, 20);
            this.edtupdateserv.BackColor = System.Drawing.SystemColors.Window;
            this.edtupdateserv.Multiline = false;
            this.edtupdateserv.BackgroundImage = null;
			this.edtupdateserv.KeyDown += new KeyEventHandler(this.OnChange);
			tblpanel5.Controls.Add(this.edtupdateserv);
			updaterpage.Controls.Add(tblpanel5);
			this.cbtnupdate.AutoSize = true;
			this.cbtnupdate.ImeMode = ImeMode.Disable;
			this.cbtnupdate.UseVisualStyleBackColor = true;
			this.cbtnupdate.Location = new Point(20, 50);
			this.cbtnupdate.Text = Catalog.GetString("Enable Autoupdater");
			this.cbtnupdate.Click += new System.EventHandler(OnUpdater);
			updaterpage.Controls.Add(this.cbtnupdate);
			this.grpbox2.Location = new Point(20, 75);
			this.grpbox2.AutoSize = true;
			this.grpbox2.Enabled = false;
			this.rbtnstable.Location = new Point(20, 20);
			this.rbtnstable.AutoSize = true;
			this.rbtnstable.Text = Catalog.GetString("Stable version");
			this.grpbox2.Controls.Add(this.rbtnstable);
			this.rbtnunstable.Location = new Point(20, 40);
			this.rbtnunstable.AutoSize = true;
			this.rbtnunstable.Text = Catalog.GetString("Unstable version");
			this.rbtnunstable.Checked = true;
			this.grpbox2.Controls.Add(this.rbtnunstable);
			updaterpage.Controls.Add(this.grpbox2);
			this.btncheck.Location = new Point(20, 200);
            this.btncheck.ImeMode = ImeMode.Disable;
            this.btncheck.Text = Catalog.GetString("Check Now");
			this.btncheck.TextImageRelation = TextImageRelation.ImageBeforeText;
            this.btncheck.UseVisualStyleBackColor = true;
            this.btncheck.AutoSize = true;
			this.btncheck.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + 
			                                                   System.IO.Path.DirectorySeparatorChar + "update.png"));
			this.btncheck.ImageAlign = ContentAlignment.MiddleLeft;
			this.btncheck.Click += new System.EventHandler(OnCheckClick);
			updaterpage.Controls.Add(this.btncheck);
			this.tabcontrol.TabPages.Add(updaterpage);
			//Add upload sitemaps page
			TabPage sitemappage = new TabPage(Catalog.GetString("Sitemaps"));
			TableLayoutPanel tblpanel6 = new TableLayoutPanel();
			tblpanel6.ColumnCount = 2;
			tblpanel6.RowCount = 2;
			tblpanel6.Size = new Size(400, 25);
			tblpanel6.Location = new Point(20, 20);
			Label lblmapserv = new Label();
			lblmapserv.AutoSize = true;
			lblmapserv.Text = Catalog.GetString("Sitemaps server:");
			tblpanel6.Controls.Add(lblmapserv);
			this.edtmapserv.ForeColor = System.Drawing.SystemColors.WindowText;
            this.edtmapserv.Cursor = System.Windows.Forms.Cursors.IBeam;
            this.edtmapserv.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Tile;
            this.edtmapserv.Size = new System.Drawing.Size(290, 20);
            this.edtmapserv.BackColor = System.Drawing.SystemColors.Window;
            this.edtmapserv.Multiline = false;
            this.edtmapserv.BackgroundImage = null;
			this.edtmapserv.KeyDown += new KeyEventHandler(this.OnChange);
			tblpanel6.Controls.Add(this.edtmapserv);
			sitemappage.Controls.Add(tblpanel6);
			this.cbtndeletemap.AutoSize = true;
			this.cbtndeletemap.ImeMode = ImeMode.Disable;
			this.cbtndeletemap.UseVisualStyleBackColor = true;
			this.cbtndeletemap.Location = new Point(20, 50);
			this.cbtndeletemap.Text = Catalog.GetString("Delete sitemap after upload");
			this.cbtndeletemap.Click += new System.EventHandler(OnChange);
			sitemappage.Controls.Add(this.cbtndeletemap);
			this.tabcontrol.TabPages.Add(sitemappage);
			this.tabcontrol.TabIndexChanged += new System.EventHandler(OnTabChanged);
            // 
            // btnok
            // 
            this.btnok.Name = "btnok";
            this.btnok.Location = new Point(480, 340);
            this.btnok.TabIndex = 2;
            this.btnok.ImeMode = ImeMode.Disable;
            this.btnok.Text = Catalog.GetString("OK");
			this.btnok.TextImageRelation = TextImageRelation.ImageBeforeText;
            this.btnok.UseVisualStyleBackColor = true;
            this.btnok.AutoSize = true;
			this.btnok.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + 
			                                                     System.IO.Path.DirectorySeparatorChar + "ok.png"));
			this.btnok.ImageAlign = ContentAlignment.MiddleLeft;
			this.btnok.Enabled = false;
			this.btnok.DialogResult = DialogResult.OK;
			this.btnok.Click += new System.EventHandler(OnOkClick);
            // 
            // btnapply
            // 
            this.btnapply.Name = "btnapply";
            this.btnapply.Location = new Point(392, 340);
            this.btnapply.TabIndex = 1;
            this.btnapply.ImeMode = ImeMode.Disable;
            this.btnapply.Text = Catalog.GetString("Apply");
			this.btnapply.TextImageRelation = TextImageRelation.ImageBeforeText;
            this.btnapply.UseVisualStyleBackColor = true;
            this.btnapply.AutoSize = true;
			this.btnapply.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + 
			                                                        System.IO.Path.DirectorySeparatorChar + "apply.png"));
			this.btnapply.ImageAlign = ContentAlignment.MiddleLeft;
			this.btnapply.Enabled = false;
			this.btnapply.DialogResult = DialogResult.Yes;
			this.btnapply.Click += new System.EventHandler(OnOkClick);
            // 
            // btncancel
            // 
            this.btncancel.Name = "btncancel";
            this.btncancel.Location = new Point(304, 340);
            this.btncancel.TabIndex = 0;
            this.btncancel.ImeMode = ImeMode.Disable;
            this.btncancel.Text = Catalog.GetString("Cancel");
			this.btncancel.TextImageRelation = TextImageRelation.ImageBeforeText;
            this.btncancel.UseVisualStyleBackColor = true;
            this.btncancel.AutoSize = true;
			this.btncancel.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + 
			                                                         System.IO.Path.DirectorySeparatorChar + "cancel.png"));
			this.btncancel.ImageAlign = ContentAlignment.MiddleLeft;
			this.btncancel.DialogResult = DialogResult.Cancel;
			this.btncancel.Click += new System.EventHandler(OnCancel);
            // 
            // WinPrefDialog
            // 
            this.Name = "WinPrefDialog";
            this.ClientSize = new Size(570, 370);
            this.StartPosition = FormStartPosition.CenterScreen;			
			this.Icon = new Icon(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + 
			                                            System.IO.Path.DirectorySeparatorChar + "grubby.ico"));			
            this.Controls.Add(this.tabcontrol);
            this.Controls.Add(this.btnok);
            this.Controls.Add(this.btnapply);
            this.Controls.Add(this.btncancel);
            this.Text = Catalog.GetString("Preferences");
			this.Resize += new System.EventHandler(OnResize);
        }
    }
    #endregion
}
