// WinShowSitemapDialog.Designer.cs
// 
// Copyright (C) 2008 Bartek Jasicki
//
// This file is part of Grubng.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

using System.Windows.Forms;
using System.Drawing;
using Mono.Unix;

namespace Grubng
{
    
    #region Windows Form Designer generated code
    public partial class WinShowSitemapDialog
    {
        private void InitializeComponent()
        {
            this.btnsend = new Button();
            this.btnsave = new Button();
            this.btnadd = new Button();
            this.btndelete = new Button();
            this.btncancel = new Button();
			this.tablemap = new DataGrid();
			this.datatab = new System.Data.DataTable();
            // 
            // btnsend
            // 
            this.btnsend.Name = "btnsend";
            this.btnsend.Location = new Point(680, 536);
            this.btnsend.TabIndex = 0;
            this.btnsend.ImeMode = ImeMode.Disable;
            this.btnsend.Text = Catalog.GetString("Send");
            this.btnsend.UseVisualStyleBackColor = true;
            this.btnsend.AutoSize = true;
			this.btnsend.TextImageRelation = TextImageRelation.ImageBeforeText;
			this.btnsend.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, 
			                                                       "Images" + System.IO.Path.DirectorySeparatorChar + 
			                                                       "ok.png"));
			this.btnsend.ImageAlign = ContentAlignment.MiddleLeft;
			this.btnsend.Enabled = false;
			this.btnsend.Click += new System.EventHandler(OnBtnSendClick);
            // 
            // btnsave
            // 
            this.btnsave.Name = "btnsave";
            this.btnsave.Location = new Point(584, 536);
            this.btnsave.TabIndex = 1;
            this.btnsave.ImeMode = ImeMode.Disable;
            this.btnsave.Text = Catalog.GetString("Save");
            this.btnsave.UseVisualStyleBackColor = true;
            this.btnsave.AutoSize = true;
			this.btnsave.TextImageRelation = TextImageRelation.ImageBeforeText;
			this.btnsave.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, 
			                                                       "Images" + System.IO.Path.DirectorySeparatorChar + 
			                                                       "save.png"));
			this.btnsave.ImageAlign = ContentAlignment.MiddleLeft;
			this.btnsave.Enabled = false;
			this.btnsave.Click += new System.EventHandler(OnBtnSaveClick);
            // 
            // btnadd
            // 
            this.btnadd.Name = "btnadd";
            this.btnadd.Location = new Point(688, 200);
            this.btnadd.TabIndex = 2;
            this.btnadd.ImeMode = ImeMode.Disable;
            this.btnadd.Text = Catalog.GetString("Add link");
            this.btnadd.UseVisualStyleBackColor = true;
            this.btnadd.AutoSize = true;
			this.btnadd.TextImageRelation = TextImageRelation.ImageBeforeText;
			this.btnadd.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, 
			                                                       "Images" + System.IO.Path.DirectorySeparatorChar + 
			                                                       "add.png"));
			this.btnadd.ImageAlign = ContentAlignment.MiddleLeft;
			this.btnadd.Click += new System.EventHandler(OnBtnAddClick);
            // 
            // btndelete
            // 
            this.btndelete.Name = "btndelete";
            this.btndelete.Location = new Point(688, 264);
            this.btndelete.TabIndex = 3;
            this.btndelete.ImeMode = ImeMode.Disable;
            this.btndelete.Text = Catalog.GetString("Delete link");
            this.btndelete.UseVisualStyleBackColor = true;
            this.btndelete.AutoSize = true;
			this.btndelete.TextImageRelation = TextImageRelation.ImageBeforeText;
			this.btndelete.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, 
			                                                       "Images" + System.IO.Path.DirectorySeparatorChar + 
			                                                       "delete.png"));
			this.btndelete.ImageAlign = ContentAlignment.MiddleLeft;
			this.btndelete.Enabled = false;
			this.btndelete.Click += new System.EventHandler(OnBtnDeleteClick);
            // 
            // btncancel
            // 
            this.btncancel.Name = "btncancel";
            this.btncancel.Location = new Point(488, 536);
            this.btncancel.TabIndex = 4;
            this.btncancel.ImeMode = ImeMode.Disable;
            this.btncancel.Text = Catalog.GetString("Cancel");
            this.btncancel.UseVisualStyleBackColor = true;
            this.btncancel.AutoSize = true;
			this.btncancel.TextImageRelation = TextImageRelation.ImageBeforeText;
			this.btncancel.Image = new Bitmap(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, 
			                                                       "Images" + System.IO.Path.DirectorySeparatorChar + 
			                                                       "cancel.png"));
			this.btncancel.ImageAlign = ContentAlignment.MiddleLeft;
			this.btncancel.Click += new System.EventHandler(OnBtnCancelClick);
			//
			// tablemap
			//
			this.tablemap.Location = new Point(0, 0);
			this.tablemap.Size = new Size(670, 525);
			this.tablemap.RowHeadersVisible = false;
			this.tablemap.ReadOnly = true;
			this.datatab.Locale = System.Globalization.CultureInfo.InvariantCulture;
			this.datatab.Columns.Add(Catalog.GetString("Link"), typeof(string));
			this.tablemap.PreferredColumnWidth = tablemap.Size.Width - 5;
			this.tablemap.DataSource = this.datatab;
			this.tablemap.CurrentCellChanged += new System.EventHandler(OnCursorChanged);
            // 
            // WinShowSitemapDialog
            // 
            this.Name = "WinShowSitemapDialog";
            this.ClientSize = new Size(820, 573);
            this.Controls.Add(this.btnsend);
            this.Controls.Add(this.btnsave);
            this.Controls.Add(this.btnadd);
            this.Controls.Add(this.btndelete);
            this.Controls.Add(this.btncancel);
			this.Controls.Add(this.tablemap);
            this.Text = Catalog.GetString("Edit sitemap");
			this.Icon = new Icon(System.IO.Path.Combine(System.AppDomain.CurrentDomain.BaseDirectory, "Images" + 
			                                            System.IO.Path.DirectorySeparatorChar + "grubby.ico"));
			this.StartPosition = FormStartPosition.CenterScreen;
			this.Resize += new System.EventHandler(OnResize);
        }
        private Button btnsend;
        private Button btnsave;
        private Button btnadd;
        private Button btndelete;
        private Button btncancel;
		private DataGrid tablemap;
		private System.Data.DataTable datatab;
    }
    #endregion
}
