// CrawlerMessage.cs
// 
// Copyright (C) 2008,2009,2010 Bartek Jasicki
//
// This file is part of Grubng.
//
//  Grubng is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//   Grubng is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with Grubng.  If not, see <http://www.gnu.org/licenses/>.
//

/**@file CrawlerMessage.cs
 * Provide enum with crawler messages.*/

using System;

namespace Grubng
{	
	/// <summary>
	/// Provide enum with crawler messages.
	/// </summary>
	[Serializable]
	internal enum CrawlerMessage : int
	{
		WaitForDownload,
		WaitForUpload,
		InvalidLogin,
		RequestTimeout,
		ConnectionError,
		UnknownError,
		Done,
		FileCompressed,
		UploadedAndAdded,
		InvalidWorkunit,
		TimeoutReached,
		CannotConnect,
		InternalServerError,
		NoResponse,
		ProgramError,
		UploadServerError,
		SitemapUploaded,
		UploadSitemapServerError,
		GenerateSitemap,
		UploadDisabled,
		UploadedEarlier,
		OldResults,
		NoWorkunits,
		SitemapDisabled
	}
}
