// Logs.cs
// 
// Copyright (C) 2008,2010 Bartek Jasicki
//
// This file is part of Grubng.
//
// Grubng is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

/**@file Logs.cs
 * Provide functions for invalid url's log and errors log.*/

using System;
using System.IO;

namespace Grubng
{
	
	/**Provide functions for invalid url's log and errors log.*/
	/// <summary>
	/// Provide functions for save invalid URL's and program errors to log files.
	/// </summary>
	internal static class Logs
	{
		/// <summary>
		/// Function write message to log files.
		/// </summary>
		/// <param name="filename">
		/// A <see cref="System.String"/> full path (including filename) to log file.
		/// </param>
		/// <param name="message">
		/// A <see cref="System.String"/> message to write to log file.
		/// </param>
		public static void WriteLog(string filename, string message)
		{
			string 	date = DateTime.UtcNow.ToString("yyyy/MM/dd/HH:mm:ss");
			using (StreamWriter logstream = new StreamWriter(filename, true))
			{
				logstream.WriteLine(date + " " + message);
				logstream.Close();
			}
		}
	}
}
